//---------------------------------------------------------------------------

#ifndef TDATTextEditorH
#define TDATTextEditorH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ComCtrls.hpp>
#include <ActnList.hpp>
#include <Menus.hpp>
#include <Dialogs.hpp>
//---------------------------------------------------------------------------
class TDATTextEditor : public TForm
{
__published:	// IDE-managed Components
  TRichEdit *Editor;
  TPopupMenu *DATEditorMenu;
  TActionList *DATEditorActions;
  TAction *SaveAction;
  TAction *SaveAsAction;
  TAction *WordWrapAction;
  TMenuItem *Cut1;
  TMenuItem *Copy1;
  TMenuItem *Paste1;
  TMenuItem *N1;
  TMenuItem *Wordwrap1;
  TMenuItem *N2;
  TMenuItem *Save1;
  TMenuItem *SaveAs1;
  TSaveDialog *DATFileDialog;
  void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
  void __fastcall WordWrapActionExecute(TObject *Sender);
  void __fastcall DATEditorMenuPopup(TObject *Sender);
  void __fastcall SaveActionExecute(TObject *Sender);
  void __fastcall SaveAsActionExecute(TObject *Sender);
private:	// User declarations
public:
  String FileName;		// User declarations
  __fastcall TDATTextEditor(TComponent* Owner);
  void LoadFromFile(String fileName);
};
//---------------------------------------------------------------------------
extern PACKAGE TDATTextEditor *DATTextEditor;
//---------------------------------------------------------------------------
#endif
