//---------------------------------------------------------------------------

#ifndef TBasicGalaxyModuleH
#define TBasicGalaxyModuleH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Db.hpp>
#include <DBTables.hpp>
//---------------------------------------------------------------------------
class TBasicGalaxyModule : public TDataModule
{
__published:	// IDE-managed Components
  TTable *FactionTable;
  TAutoIncField *FactionTableID;
  TStringField *FactionTableName;
  TIntegerField *FactionTableColor;
  TSmallintField *FactionTableHomeworld;
  TStringField *FactionTableHomeworldLU;
  TTable *SectTable;
  TIntegerField *SectTableSectID;
  TStringField *SectTableName;
  TSmallintField *SectTableHomeworld;
  TStringField *SectTableHWLU;
  TTable *PlanetTable;
  TIntegerField *PlanetTablePIdx;
  TStringField *PlanetTableName;
  TSmallintField *PlanetTableX;
  TSmallintField *PlanetTableY;
  TSmallintField *PlanetTableOwner;
  TStringField *PlanetTableOwnerLU;
  TSmallintField *PlanetTableSect;
  TSmallintField *PlanetTableCRP;
  TIntegerField *PlanetTableFlags;
  TIntegerField *PlanetTableTileSet;
  TStringField *PlanetTableTypeLU;
  TIntegerField *PlanetTableColorLU;
  TIntegerField *PlanetTableOwnerColorLU;
  TTable *JumpRouteTable;
  TIntegerField *JumpRouteTableJRIdx;
  TIntegerField *JumpRouteTableP1Idx;
  TIntegerField *JumpRouteTableP2Idx;
  TStringField *JumpRouteTablePlanet1LU;
  TStringField *JumpRouteTablePlanet2LU;
  TIntegerField *JumpRouteTableFlags;
  TTable *UnitTable;
  TIntegerField *UnitTableUnitID;
  TSmallintField *UnitTablePIdx;
  TStringField *UnitTablePlanetLU;
  TSmallintField *UnitTableX;
  TSmallintField *UnitTableY;
  TSmallintField *UnitTableLoyalty;
  TSmallintField *UnitTableOwner;
  TStringField *UnitTableOwnerLU;
  TSmallintField *UnitTablePrevOwner;
  TStringField *UnitTablePrevOwnerLU;
  TSmallintField *UnitTableType;
  TSmallintField *UnitTabletLvl;
  TSmallintField *UnitTableMoveType;
  TSmallintField *UnitTableOrders;
  TSmallintField *UnitTableExperience;
  TStringField *UnitTableExpText;
  TSmallintField *UnitTableMovePoints;
  TSmallintField *UnitTableResRelic;
  TSmallintField *UnitTableAmount;
  TSmallintField *UnitTableHealth;
  TSmallintField *UnitTableSect;
  TIntegerField *UnitTableUnitNo;
  TIntegerField *UnitTableFlags;
  TSmallintField *UnitTableUsedUnitType;
  TSmallintField *UnitTableUsedUnittLvl;
  TSmallintField *UnitTableCamo;
  TSmallintField *UnitTableDestX;
  TSmallintField *UnitTableDestY;
  TIntegerField *UnitTableMoveCost;
  TSmallintField *UnitTabletFlags;
  TSmallintField *UnitTableAIOrders;
  TSmallintField *UnitTableAIData;
  TSmallintField *UnitTableAIData2;
  TSmallintField *UnitTableWaitLevel;
  TSmallintField *UnitTableGroupEndMark;
  TTable *StructureTable;
  TIntegerField *StructureTableStructID;
  TSmallintField *StructureTablePIdx;
  TStringField *StructureTablePlanetLU;
  TSmallintField *StructureTableX;
  TSmallintField *StructureTableY;
  TSmallintField *StructureTableLoyalty;
  TSmallintField *StructureTableType;
  TSmallintField *StructureTableOwner;
  TStringField *StructureTableOwnerLU;
  TSmallintField *StructureTablePrevOwner;
  TStringField *StructureTablePrevOwnerLU;
  TSmallintField *StructureTableProdRuinType;
  TSmallintField *StructureTableProdInfo;
  TSmallintField *StructureTableTurnsLeft;
  TSmallintField *StructureTableCityInfo;
  TSmallintField *StructureTablePrevType;
  TSmallintField *StructureTableUnitLoyalty;
  TSmallintField *StructureTableStackInfo;
  TSmallintField *StructureTableUsedUnittLvl;
  TSmallintField *StructureTableTechType;
  TSmallintField *StructureTableHealth;
  TSmallintField *StructureTableSect;
  TIntegerField *StructureTableFlags;
  TSmallintField *StructureTableUnitHealth;
  TSmallintField *StructureTableTempCount;
  TSmallintField *StructureTableTempCount2;
  TSmallintField *StructureTableTempCount3;
  TSmallintField *StructureTableDamage;
  TTable *PlanetType;
  TAutoIncField *PlanetTypeID;
  TStringField *PlanetTypeName;
  TIntegerField *Color;
  TSmallintField *PlanetTypeTileSet;
  TTable *UnitDAT;
  TIntegerField *UnitDATID;
  TSmallintField *UnitDATType;
  TSmallintField *UnitDATTLvl;
  TStringField *UnitDATLname;
  TIntegerField *UnitDATPext;
  TStringField *UnitDATSname;
  TStringField *UnitDATMoveT;
  TSmallintField *UnitDATMove;
  TSmallintField *UnitDATSpot;
  TSmallintField *UnitDATCamo;
  TSmallintField *UnitDATAg;
  TSmallintField *UnitDATArmour;
  TSmallintField *UnitDATPsyDef;
  TSmallintField *UnitDATWaterA;
  TSmallintField *UnitDATWaterS;
  TSmallintField *UnitDATIndirA;
  TSmallintField *UnitDATIndirS;
  TSmallintField *UnitDATAirA;
  TSmallintField *UnitDATAirS;
  TSmallintField *UnitDATDirectA;
  TSmallintField *UnitDATDirectS;
  TSmallintField *UnitDATCloseA;
  TSmallintField *UnitDATCloseS;
  TSmallintField *UnitDATPsyA;
  TSmallintField *UnitDATPsyS;
  TSmallintField *UnitDATRSpeA;
  TSmallintField *UnitDATRSpeS;
  TSmallintField *UnitDATDSpeA;
  TSmallintField *UnitDATDSpeS;
  TSmallintField *UnitDATCSpeA;
  TSmallintField *UnitDATCSpeS;
  TSmallintField *UnitDATCargo;
  TSmallintField *UnitDATCBC;
  TSmallintField *UnitDATNComb;
  TSmallintField *UnitDATCrdTr;
  TIntegerField *UnitDATCred;
  TSmallintField *UnitDATFood;
  TSmallintField *UnitDATEnerg;
  TSmallintField *UnitDATMetal;
  TSmallintField *UnitDATTrac;
  TSmallintField *UnitDATExot;
  TSmallintField *UnitDATChems;
  TSmallintField *UnitDATBio;
  TSmallintField *UnitDATElec;
  TSmallintField *UnitDATCSteel;
  TSmallintField *UnitDATWet;
  TSmallintField *UnitDATMono;
  TSmallintField *UnitDATGems;
  TSmallintField *UnitDATSing;
  TSmallintField *UnitDATUnit;
  TSmallintField *UnitDATBldgs;
  TSmallintField *UnitDATT2B;
  TSmallintField *UnitDATTech1;
  TSmallintField *UnitDATTech2;
  TSmallintField *UnitDATTech3;
  TSmallintField *UnitDATTech4;
  TSmallintField *UnitDATTax;
  TSmallintField *UnitDATFloc;
  TSmallintField *UnitDATRange;
  TSmallintField *UnitDATEat;
  TSmallintField *UnitDATRank;
  TSmallintField *UnitDATRoP;
  TStringField *UnitDATFlic;
  TTable *StructureDAT;
  TTable *TechDAT;
  TStringField *UnitTableTypeLU;
  TTable *PlanetLU;
  TIntegerField *PlanetLUPIdx;
  TStringField *PlanetLUName;
  TSmallintField *UnitTableTTL;
  TTable *DamageDAT;
  TIntegerField *DamageDATID;
  TSmallintField *DamageDATBDEDesigner15;
  TSmallintField *DamageDATBDEDesigner14;
  TSmallintField *DamageDATBDEDesigner13;
  TSmallintField *DamageDATBDEDesigner12;
  TSmallintField *DamageDATBDEDesigner11;
  TSmallintField *DamageDATBDEDesigner21;
  TSmallintField *DamageDATBDEDesigner31;
  TSmallintField *DamageDATBDEDesigner41;
  TSmallintField *DamageDATBDEDesigner51;
  TSmallintField *DamageDATBDEDesigner61;
  TSmallintField *DamageDATBDEDesigner71;
  TSmallintField *DamageDATBDEDesigner81;
  TTable *TargetDAT;
  TIntegerField *TargetDATID;
  TStringField *TargetDATMoveType;
  TSmallintField *TargetDATAir;
  TSmallintField *TargetDATWater;
  TSmallintField *TargetDATIndirect;
  TSmallintField *TargetDATDirect;
  TSmallintField *TargetDATClose;
  TSmallintField *TargetDATPsych;
  TSmallintField *TargetDATRangedSpace;
  TSmallintField *TargetDATDirectSpace;
  TSmallintField *TargetDATCloseSpace;
  TTable *StockDAT;
  TTable *TerColorDAT;
  TIntegerField *TerColorDATID;
  TStringField *TerColorDATName;
  TSmallintField *TerColorDATNormal;
  TSmallintField *TerColorDATDesert;
  TSmallintField *TerColorDATIce;
  TSmallintField *TerColorDATJungle;
  TSmallintField *TerColorDATBarren;
  TTable *RoadCostDAT;
  TIntegerField *RoadCostDATID;
  TStringField *RoadCostDATName;
  TSmallintField *RoadCostDATNormal;
  TSmallintField *RoadCostDATDesert;
  TSmallintField *RoadCostDATIce;
  TSmallintField *RoadCostDATJungle;
  TSmallintField *RoadCostDATBarren;
  TIntegerField *StockDATID;
  TStringField *StockDATName;
  TSmallintField *StockDATNormal;
  TSmallintField *StockDATDesert;
  TSmallintField *StockDATIce;
  TSmallintField *StockDATJungle;
  TSmallintField *StockDATBarren;
  TTable *ProdDAT;
  TIntegerField *ProdDATID;
  TStringField *ProdDATCity;
  TStringField *ProdDATNeed1;
  TSmallintField *ProdDATValue1;
  TStringField *ProdDATNeed2;
  TSmallintField *ProdDATValue2;
  TStringField *ProdDATNeed3;
  TSmallintField *ProdDATValue3;
  TStringField *ProdDATMake;
  TSmallintField *ProdDATMValue;
  TTable *ArboriumDAT;
  TTable *FarmDAT;
  TTable *MineDAT;
  TTable *WellDAT;
  TTable *TerCostDAT;
  TTable *UnitSpotDAT;
  TIntegerField *UnitSpotDATID;
  TStringField *UnitSpotDATHexType;
  TStringField *UnitSpotDATPlanType;
  TStringField *UnitSpotDATFoot;
  TStringField *UnitSpotDATWheel;
  TStringField *UnitSpotDATTread;
  TStringField *UnitSpotDATAir;
  TStringField *UnitSpotDATNaval;
  TStringField *UnitSpotDATSpace;
  TStringField *UnitSpotDATHover;
  TStringField *UnitSpotDATJump;
  TStringField *UnitSpotDATCrawler;
  TStringField *UnitSpotDATLander;
  TIntegerField *TerCostDATID;
  TStringField *TerCostDATHexType;
  TStringField *TerCostDATPlanType;
  TStringField *TerCostDATFoot;
  TStringField *TerCostDATWheel;
  TStringField *TerCostDATTread;
  TStringField *TerCostDATAir;
  TStringField *TerCostDATNaval;
  TStringField *TerCostDATSpace;
  TStringField *TerCostDATHover;
  TStringField *TerCostDATJump;
  TStringField *TerCostDATCrawler;
  TStringField *TerCostDATLander;
  TIntegerField *WellDATID;
  TStringField *WellDATHexName;
  TStringField *WellDATPlanetName;
  TStringField *WellDATRes1Name;
  TSmallintField *WellDATRes1Value;
  TStringField *WellDATRes2Name;
  TSmallintField *WellDATRes2Value;
  TStringField *WellDATRes3Name;
  TSmallintField *WellDATRes3Value;
  TIntegerField *MineDATID;
  TStringField *MineDATHexName;
  TStringField *MineDATPlanetName;
  TStringField *MineDATRes1Name;
  TSmallintField *MineDATRes1Value;
  TStringField *MineDATRes2Name;
  TSmallintField *MineDATRes2Value;
  TStringField *MineDATRes3Name;
  TSmallintField *MineDATRes3Value;
  TIntegerField *FarmDATID;
  TStringField *FarmDATHexName;
  TStringField *FarmDATPlanetName;
  TStringField *FarmDATRes1Name;
  TSmallintField *FarmDATRes1Value;
  TStringField *FarmDATRes2Name;
  TSmallintField *FarmDATRes2Value;
  TStringField *FarmDATRes3Name;
  TSmallintField *FarmDATRes3Value;
  TIntegerField *ArboriumDATID;
  TStringField *ArboriumDATHexName;
  TStringField *ArboriumDATPlanetName;
  TStringField *ArboriumDATRes1Name;
  TSmallintField *ArboriumDATRes1Value;
  TStringField *ArboriumDATRes2Name;
  TSmallintField *ArboriumDATRes2Value;
  TStringField *ArboriumDATRes3Name;
  TSmallintField *ArboriumDATRes3Value;
  TSmallintField *UnitTableUUTTL;
  TStringField *UnitTableUULU;
  TIntegerField *TechDATID;
  TStringField *TechDATMainCategory;
  TStringField *TechDATName;
  TSmallintField *TechDATTech1;
  TSmallintField *TechDATTech2;
  TSmallintField *TechDATTech3;
  TSmallintField *TechDATCost;
  TSmallintField *TechDATLike;
  TSmallintField *TechDATVol;
  TSmallintField *TechDATCh;
  TStringField *TechDATExtra;
  TTable *TechDATLU;
  TStringField *TechDATTech1LU;
  TStringField *TechDATTech2LU;
  TStringField *TechDATTech3LU;
  TTable *ResDAT;
  TIntegerField *ResDATID;
  TStringField *ResDATName;
  TStringField *ResDATSingle;
  TSmallintField *ResDATPrice;
  TStringField *ResDATDesc;
  TStringField *UnitTableResRelicLU;
  TStringField *UnitTableMoveTypeLU;
  TSmallintField *UnitTableMovePointsLU;
  TSmallintField *UnitTableCamoLU;
  TStringField *FactionTableShortName;
  TStringField *UnitTableShortOwnerLU;
  TStringField *UnitTableShortPrevOwnerLU;
private:  // User declarations
  String DataDirectory;

public:		// User declarations
  __fastcall TBasicGalaxyModule(TComponent* Owner);
  void ActivateAllTables();
  void DeactivateAllTables();
  void SetDatabase(String aliasName);
  void FilterDataSets(bool filtered);
  String GetDataDirectory();

};
//---------------------------------------------------------------------------
extern PACKAGE TBasicGalaxyModule *BasicGalaxyModule;
//---------------------------------------------------------------------------
#endif
