//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "TEditUnitTypeDialog.h"
#include "TGalaxyModule.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TEditUnitTypeDialog *EditUnitTypeDialog;
//---------------------------------------------------------------------------
__fastcall TEditUnitTypeDialog::TEditUnitTypeDialog(TComponent* Owner)
  : TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TEditUnitTypeDialog::FormShow(TObject *Sender)
{
  GalaxyModule->EditUnitsTable->FindKey(ARRAYOFCONST((GalaxyModule->UnitTableUnitID->AsInteger)));

  cbNUT->KeyValue = GalaxyModule->UnitTableTTL->AsInteger;

  if (GalaxyModule->UnitTable->Filtered) {
    GalaxyModule->EditUnitsTable->Filter = GalaxyModule->UnitTable->Filter;
    GalaxyModule->EditUnitsTable->Filtered = GalaxyModule->UnitTable->Filtered;
  }
}
//---------------------------------------------------------------------------

void __fastcall TEditUnitTypeDialog::bApplyClick(TObject *Sender)
{
  int Type = GalaxyModule->UnitTableType->AsInteger;
  int tLvl = GalaxyModule->UnitTabletLvl->AsInteger;
  int NewType = GalaxyModule->UnitDATType->AsInteger;
  int NewtLvl = GalaxyModule->UnitDATTLvl->AsInteger;

  GalaxyModule->dsUnits->Enabled = false;
  GalaxyModule->dsEditUnits->Enabled = false;
  Cursor = crHourGlass;

  if (cbThisUnitOnly->Checked) {
    GalaxyModule->EditUnitsTable->Edit();
    GalaxyModule->EditUnitsTableType->AsInteger = NewType;
    GalaxyModule->EditUnitsTableTLvl->AsInteger = NewtLvl;
    GalaxyModule->EditUnitsTableTTL->AsInteger = NewType * 10 + NewtLvl;
    GalaxyModule->EditUnitsTable->Post();
  }
  else {
    GalaxyModule->EditUnitsTable->First();
    while (!GalaxyModule->EditUnitsTable->Eof) {
      if ((GalaxyModule->EditUnitsTableType->AsInteger == Type) &&
          (GalaxyModule->EditUnitsTableTLvl->AsInteger == tLvl)) {
        GalaxyModule->EditUnitsTable->Edit();
        GalaxyModule->EditUnitsTableType->AsInteger = NewType;
        GalaxyModule->EditUnitsTableTLvl->AsInteger = NewtLvl;
        GalaxyModule->EditUnitsTableTTL->AsInteger = NewType * 10 + NewtLvl;
        GalaxyModule->EditUnitsTable->Post();
      }
      if (!GalaxyModule->EditUnitsTable->Eof) GalaxyModule->EditUnitsTable->Next();
    }
  }


  GalaxyModule->UnitTable->Refresh();
  Cursor = crDefault;
  GalaxyModule->dsUnits->Enabled = true;
  GalaxyModule->dsEditUnits->Enabled = true;
}
//---------------------------------------------------------------------------

void __fastcall TEditUnitTypeDialog::bOKClick(TObject *Sender)
{
  bApplyClick(Sender);
}
//---------------------------------------------------------------------------

void __fastcall TEditUnitTypeDialog::FormHide(TObject *Sender)
{
  GalaxyModule->EditUnitsTable->Filtered = false;
}
//---------------------------------------------------------------------------

