//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "TGalaxyStatsView.h"
#include "TEFSMain.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma link "TNumberLabel"
#pragma resource "*.dfm"
TGalaxyStatsView *GalaxyStatsView;
//---------------------------------------------------------------------------
__fastcall TGalaxyStatsView::TGalaxyStatsView(TComponent* Owner)
  : TForm(Owner)
{
}
//---------------------------------------------------------------------------
__fastcall TGalaxyStatsView::TGalaxyStatsView(TComponent* Owner, TEFSCGalaxy* galaxy)
  : TForm(Owner)
{
  Galaxy = galaxy;
}
//---------------------------------------------------------------------------
void __fastcall TGalaxyStatsView::FormShow(TObject *Sender)
{
  stFileName->Caption = Galaxy->GetGALFileName();
  stVersionDate->Caption = Galaxy->GetVersion();
  nlPlanetCount->Value = Galaxy->PlanetCount;
  nlJumpGateCount->Value = Galaxy->JumpGateCount;
  nlStructureCount->Value = Galaxy->StructureCount;
  nlUnitCount->Value = Galaxy->UnitCount;
  nlUnitsInFile->Value = Galaxy->UnitsInFile;
}
//---------------------------------------------------------------------------

void __fastcall TGalaxyStatsView::FormClose(TObject *Sender,
      TCloseAction &Action)
{
  Action = caFree;
  GalaxyStatsView = NULL;  
}
//---------------------------------------------------------------------------

