//---------------------------------------------------------------------------

#ifndef TNewProjectDialogH
#define TNewProjectDialogH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Buttons.hpp>
#include <ExtCtrls.hpp>
#include <FileCtrl.hpp>
//---------------------------------------------------------------------------
class TNewProjectDialog : public TForm
{
__published:	// IDE-managed Components
  TPanel *StartFromGALPanel;
  TPanel *StartFromTemplatePanel;
  TPanel *StartFromScratchPanel;
  TBitBtn *BitBtn1;
  TLabel *Label1;
  TBitBtn *BitBtn2;
  TLabel *Label2;
  TLabel *Label3;
  TBitBtn *BitBtn3;
  TBitBtn *BitBtn4;
  TComboBox *cbAliases;
  TStaticText *stWorkingDirectory;
  TLabel *Label6;
  TPanel *Panel1;
  TLabel *Label7;
  TLabel *Label4;
  TEdit *eNewProjectName;
  TLabel *Label5;
  TDirectoryListBox *lbNPDirectory;
  TDriveComboBox *cbNPDrive;
  TLabel *lNPDirectory;
  TBitBtn *NewDirectoryButton;
  void __fastcall FormShow(TObject *Sender);
  void __fastcall cbAliasesChange(TObject *Sender);
  void __fastcall FormCloseQuery(TObject *Sender, bool &CanClose);
  void __fastcall NewDirectoryButtonClick(TObject *Sender);
private:
  bool NewProjectDirCreated;	// User declarations
public:		// User declarations
  __fastcall TNewProjectDialog(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TNewProjectDialog *NewProjectDialog;
//---------------------------------------------------------------------------
#endif
