//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "TTemplateModule.h"
#include "TGalaxyModule.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma link "TBasicGalaxyModule"
#pragma resource "*.dfm"
TTemplateModule *TemplateModule;
//---------------------------------------------------------------------------
__fastcall TTemplateModule::TTemplateModule(TComponent* Owner)
  : TBasicGalaxyModule(Owner)
{
}
//---------------------------------------------------------------------------

void TTemplateModule::CopyBasicTables(String templateAliasName)
{
  SetDatabase(templateAliasName);
  FactionBM->Execute();
  SectBM->Execute();
  PlanetTypeBM->Execute();

}
//---------------------------------------------------------------------------

void TTemplateModule::CopyTemplateTables(String templateAliasName)
{
  /*
      *** This method is obsolete ***
        (see CopyAllTables instead)
  */

  CopyBasicTables(templateAliasName);
  PlanetBM->Execute();
  JumpRouteBM->Execute();
  UnitBM->Execute();
  StructureBM->Execute();
  UnitDATBM->Execute();
  StructureDATBM->Execute();
  TechDATBM->Execute();

}
//---------------------------------------------------------------------------

void TTemplateModule::CopyAllTables(String templateAliasName)
{
  SetDatabase(templateAliasName);
  for (int i=0; i<ComponentCount; i++) {
    TBatchMove* BM = dynamic_cast<TBatchMove*>(Components[i]);
    if (BM) {
      BM->Execute();
    }
  }
}
//---------------------------------------------------------------------------

